Debian Bug report logs - #689951
Package appears to be non-free

version graph

Package: camitk; Maintainer for camitk is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>;

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Mon, 8 Oct 2012 10:00:01 UTC

Severity: serious

Tags: upstream

Fixed in version camitk/3.0.7-1

Done: Emmanuel Promayon <Emmanuel.Promayon@imag.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#689951; Package camitk. (Mon, 08 Oct 2012 10:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 08 Oct 2012 10:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Package appears to be non-free
Date: Mon, 08 Oct 2012 11:56:52 +0200
Package: camitk
Severity: serious
Tags: upstream
Justification: Policy 2.1

The camitk source code contains tetgen. Which is non-free license:

$ cat ./actions/mesh/meshprocessing/tetgen1.4.3/LICENSE 
...
Distribution of  modified  versions  of this code is permissible UNDER
THE CONDITION THAT  THIS CODE AND ANY MODIFICATIONS  MADE TO IT IN THE
SAME SOURCE FILES  tetgen.h AND tetgen.cxx  REMAIN UNDER  COPYRIGHT OF
THE  ORIGINAL AUTHOR,  BOTH  SOURCE AND OBJECT  CODE  ARE MADE  FREELY
AVAILABLE  WITHOUT   CHARGE,   AND  CLEAR   NOTICE  IS  GIVEN  OF  THE 
MODIFICATIONS.
...


-- System Information:
Debian Release: 6.0.6
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-0.bpo.2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#689951; Package camitk. (Mon, 08 Oct 2012 10:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 08 Oct 2012 10:12:05 GMT) Full text and rfc822 format available.

Message #10 received at 689951@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Mathieu Malaterre <malat@debian.org>, 689951@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#689951: Package appears to be non-free
Date: Mon, 8 Oct 2012 19:09:54 +0900
Le Mon, Oct 08, 2012 at 11:56:52AM +0200, Mathieu Malaterre a écrit :
> Package: camitk
> Severity: serious
> Tags: upstream
> Justification: Policy 2.1
> 
> The camitk source code contains tetgen. Which is non-free license:
> 
> $ cat ./actions/mesh/meshprocessing/tetgen1.4.3/LICENSE 
> ...
> Distribution of  modified  versions  of this code is permissible UNDER
> THE CONDITION THAT  THIS CODE AND ANY MODIFICATIONS  MADE TO IT IN THE
> SAME SOURCE FILES  tetgen.h AND tetgen.cxx  REMAIN UNDER  COPYRIGHT OF
> THE  ORIGINAL AUTHOR,  BOTH  SOURCE AND OBJECT  CODE  ARE MADE  FREELY
> AVAILABLE  WITHOUT   CHARGE,   AND  CLEAR   NOTICE  IS  GIVEN  OF  THE 
> MODIFICATIONS.
> ...

Bonjour Mathieu,

the above clause would require a copyright transfer, which is not directly
mentionned.

Perhaps it is worth asking the author of tetgen if he just clumsily wanted to
require that his copyright notice must not be removed ?

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#689951; Package camitk. (Mon, 08 Oct 2012 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 08 Oct 2012 10:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 689951@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 689951@bugs.debian.org, "Christophe Prud'homme" <prudhomm@debian.org>
Subject: Re: [Debian-med-packaging] Bug#689951: Package appears to be non-free
Date: Mon, 8 Oct 2012 12:12:35 +0200
Hi Charles,

[CCing Christophe]

On Mon, Oct 8, 2012 at 12:09 PM, Charles Plessy <plessy@debian.org> wrote:
> Le Mon, Oct 08, 2012 at 11:56:52AM +0200, Mathieu Malaterre a écrit :
>> Package: camitk
>> Severity: serious
>> Tags: upstream
>> Justification: Policy 2.1
>>
>> The camitk source code contains tetgen. Which is non-free license:
>>
>> $ cat ./actions/mesh/meshprocessing/tetgen1.4.3/LICENSE
>> ...
>> Distribution of  modified  versions  of this code is permissible UNDER
>> THE CONDITION THAT  THIS CODE AND ANY MODIFICATIONS  MADE TO IT IN THE
>> SAME SOURCE FILES  tetgen.h AND tetgen.cxx  REMAIN UNDER  COPYRIGHT OF
>> THE  ORIGINAL AUTHOR,  BOTH  SOURCE AND OBJECT  CODE  ARE MADE  FREELY
>> AVAILABLE  WITHOUT   CHARGE,   AND  CLEAR   NOTICE  IS  GIVEN  OF  THE
>> MODIFICATIONS.
>> ...
>
> Bonjour Mathieu,
>
> the above clause would require a copyright transfer, which is not directly
> mentionned.
>
> Perhaps it is worth asking the author of tetgen if he just clumsily wanted to
> require that his copyright notice must not be removed ?
>
> Have a nice day,

Actually all I did noticed is that tetgen is in non-free in debian already:
http://packages.qa.debian.org/t/tetgen.html

Christophe are you in touch with upstream ?

Thanks,



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#689951; Package camitk. (Mon, 08 Oct 2012 10:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 08 Oct 2012 10:27:09 GMT) Full text and rfc822 format available.

Message #20 received at 689951@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Mathieu Malaterre <malat@debian.org>
Cc: Charles Plessy <plessy@debian.org>, 689951@bugs.debian.org, Christophe Prud'homme <prudhomm@debian.org>
Subject: Re: [Debian-med-packaging] Bug#689951: Package appears to be non-free
Date: Mon, 8 Oct 2012 19:22:30 +0900
Le Mon, Oct 08, 2012 at 12:12:35PM +0200, Mathieu Malaterre a écrit :
> 
> Actually all I did noticed is that tetgen is in non-free in debian already:
> http://packages.qa.debian.org/t/tetgen.html

Ah, nevermind, the next clause is non-free as well, and the next-next answers
my first question.

  Distribution of this code for  any  commercial purpose  is permissible
  ONLY BY DIRECT ARRANGEMENT WITH THE COPYRIGHT OWNER.
  
  The  above  copyright  notice  and  this permission  notice  shall  be
  included in all copies or substantial portions of the Software.

Cheers,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#689951; Package camitk. (Mon, 08 Oct 2012 11:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 08 Oct 2012 11:57:11 GMT) Full text and rfc822 format available.

Message #25 received at 689951@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 689951@bugs.debian.org
Cc: Christophe Prud'homme <prudhomm@debian.org>
Subject: Re: Bug#689951: Package appears to be non-free
Date: Mon, 8 Oct 2012 13:56:43 +0200
On Mon, Oct 08, 2012 at 12:12:35PM +0200, Mathieu Malaterre wrote:
> 
> Actually all I did noticed is that tetgen is in non-free in debian already:
> http://packages.qa.debian.org/t/tetgen.html

It might make sense to verify whether a removal of tetgen from camitk
and rather use the Debian packaged version is possible which would make
camitk rather contrib than non-free.
 
> Christophe are you in touch with upstream ?

Even if Charles mentioned that there are other non-free pieces in the license
contacting upstream about a DFSG free license might not harm in anyway.

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#689951; Package camitk. (Tue, 23 Oct 2012 14:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 23 Oct 2012 14:36:02 GMT) Full text and rfc822 format available.

Message #30 received at 689951@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 689951@bugs.debian.org
Cc: Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
Subject: Re: Bug#689951: Package appears to be non-free
Date: Tue, 23 Oct 2012 16:32:12 +0200
Hi Emmanuel,

the package camitk received a release critical bug[1] which you possibly
did not noticed.  It would be great if you would read the history of the
bug log[1] and comment on the usage of Debian packaged tetgen which
would enable us to move the package to contrib rather than non-free.

Please note that the package will be removed from Debian if we do not
find a reasonable solution.

Kind regards

       Andreas.

[1] http://bugs.debian.org/689951

On Mon, Oct 08, 2012 at 01:56:43PM +0200, Andreas Tille wrote:
> On Mon, Oct 08, 2012 at 12:12:35PM +0200, Mathieu Malaterre wrote:
> > 
> > Actually all I did noticed is that tetgen is in non-free in debian already:
> > http://packages.qa.debian.org/t/tetgen.html
> 
> It might make sense to verify whether a removal of tetgen from camitk
> and rather use the Debian packaged version is possible which would make
> camitk rather contrib than non-free.
>  
> > Christophe are you in touch with upstream ?
> 
> Even if Charles mentioned that there are other non-free pieces in the license
> contacting upstream about a DFSG free license might not harm in anyway.
> 
> Kind regards
> 
>        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#689951; Package camitk. (Tue, 23 Oct 2012 15:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Promayon <Emmanuel.Promayon@imag.fr>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 23 Oct 2012 15:39:07 GMT) Full text and rfc822 format available.

Message #35 received at 689951@bugs.debian.org (full text, mbox):

From: Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
To: Andreas Tille <tille@debian.org>
Cc: 689951@bugs.debian.org
Subject: Re: Bug#689951: Package appears to be non-free
Date: Tue, 23 Oct 2012 17:35:18 +0200
Hello Andreas,

First sorry for not commenting on the bug, I have to find a better way 
to interact with the process, and thank you for all the comments.

The use of tetgen is not a fundamental feature of CamiTK (and anyway 
less important than being in contrib).
Therefore the code depending on it can be either removed completely from 
the CamiTK package (this is an additional plugin). And the use of the 
debian packaged version is an even better solution, as you suggested. In 
this case will CamiTK remain in contrib?

What is my deadline to do this without offending anyone?

Kind regards,


On 23/10/12 16:32, Andreas Tille wrote:
> Hi Emmanuel,
>
> the package camitk received a release critical bug[1] which you possibly
> did not noticed.  It would be great if you would read the history of the
> bug log[1] and comment on the usage of Debian packaged tetgen which
> would enable us to move the package to contrib rather than non-free.
>
> Please note that the package will be removed from Debian if we do not
> find a reasonable solution.
>
> Kind regards
>
>         Andreas.
>
> [1] http://bugs.debian.org/689951
>
> On Mon, Oct 08, 2012 at 01:56:43PM +0200, Andreas Tille wrote:
>> On Mon, Oct 08, 2012 at 12:12:35PM +0200, Mathieu Malaterre wrote:
>>>
>>> Actually all I did noticed is that tetgen is in non-free in debian already:
>>> http://packages.qa.debian.org/t/tetgen.html
>>
>> It might make sense to verify whether a removal of tetgen from camitk
>> and rather use the Debian packaged version is possible which would make
>> camitk rather contrib than non-free.
>>
>>> Christophe are you in touch with upstream ?
>>
>> Even if Charles mentioned that there are other non-free pieces in the license
>> contacting upstream about a DFSG free license might not harm in anyway.
>>
>> Kind regards
>>
>>         Andreas.
>

-- 
Emmanuel Promayon
UJF-Grenoble 1, CNRS, TIMC-IMAG UMR 5525 (équipe GMCAO)
Institut de l'Ingénierie de l'Information de Santé
Faculté de Médecine - 38706 La Tronche cedex - France
Tel. +33/0 456 52 00 03 - Fax. +33/0 456 52 00 55 - B7



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#689951; Package camitk. (Tue, 23 Oct 2012 19:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 23 Oct 2012 19:45:02 GMT) Full text and rfc822 format available.

Message #40 received at 689951@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
Cc: 689951@bugs.debian.org
Subject: Re: Bug#689951: Package appears to be non-free
Date: Tue, 23 Oct 2012 21:42:48 +0200
Hi Emmanuel,

On Tue, Oct 23, 2012 at 05:35:18PM +0200, Emmanuel Promayon wrote:
> First sorry for not commenting on the bug, I have to find a better
> way to interact with the process, and thank you for all the
> comments.

There are two chances to get information about your packages:

  1. Either you subscribe to the very package in your interest at
       http://qa.debian.org/developer.php
  2. or with a rather more team oriented attitude subscribe the
     development mailing list which receives reports about all
     team maintained packages
       http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-packaging

I personally would be happy if you would decide for the later because
in addition you get a lot of other information and how people might
deal together with other problems.
 
> The use of tetgen is not a fundamental feature of CamiTK (and anyway
> less important than being in contrib).
> Therefore the code depending on it can be either removed completely
> from the CamiTK package (this is an additional plugin). And the use
> of the debian packaged version is an even better solution, as you
> suggested. In this case will CamiTK remain in contrib?

In this case would CamITK remain in *main*!  Considering the fact that
you know all these facts - would you volunteer to do the needed steps?

> What is my deadline to do this without offending anyone?

Well, the release team is starting to remove packages with release
critical bugs and they start with those packages where the bugs do not
get any visible attention of the maintainer.  In other words:  If you
want to have CamITK released in Debian Wheezy than some kind of
immediate action is the safest way to ensure this.  If you have any
problem with this please be as verbose as possible how we could help you 
to fix the package.

Kind regards

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#689951; Package camitk. (Wed, 24 Oct 2012 06:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Promayon <Emmanuel.Promayon@imag.fr>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 24 Oct 2012 06:51:06 GMT) Full text and rfc822 format available.

Message #45 received at 689951@bugs.debian.org (full text, mbox):

From: Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
To: Andreas Tille <tille@debian.org>, 689951@bugs.debian.org
Subject: Re: Bug#689951: Package appears to be non-free
Date: Wed, 24 Oct 2012 08:47:33 +0200
Dear Andreas,

> I personally would be happy if you would decide for the later because
> in addition you get a lot of other information and how people might
> deal together with other problems.
After my answer yesterday I subscribed to the CamiTK package only, but 
reading your answer, I just reconsidered and subscribed to debian-med 
mailing-list as it seems the best option to improve my learning curve.

> In this case would CamITK remain in *main*!  Considering the fact that
> you know all these facts - would you volunteer to do the needed steps?
I am on a tight schedule this week. Do you think it could be ok if:
- I remove the licence offending part of the CamiTK source for the 
moment (the tetgen plugin) today
- I do a better work at the beginning of next week where I could 
reintroduce the tetgen plugin but using the tetgen debian package 
instead and correct the two other bugs properly (#689021 and 690830)

For #690830 there is a patch proposal and there is also a another way 
that I would like to try first (that will probably have better compiler 
specific/multi-arch support).

Thanks again, all your help is really appreciated.

-- 
Emmanuel Promayon
UJF-Grenoble 1, CNRS, TIMC-IMAG UMR 5525 (équipe GMCAO)
Institut de l'Ingénierie de l'Information de Santé
Faculté de Médecine - 38706 La Tronche cedex - France
Tel. +33/0 456 52 00 03 - Fax. +33/0 456 52 00 55 - B7



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#689951; Package camitk. (Wed, 24 Oct 2012 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 24 Oct 2012 07:54:03 GMT) Full text and rfc822 format available.

Message #50 received at 689951@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
Cc: 689951@bugs.debian.org
Subject: Re: Bug#689951: Package appears to be non-free
Date: Wed, 24 Oct 2012 09:50:44 +0200
Hi Emmanuel,

On Wed, Oct 24, 2012 at 08:47:33AM +0200, Emmanuel Promayon wrote:
> >I personally would be happy if you would decide for the later because
> >in addition you get a lot of other information and how people might
> >deal together with other problems.
> After my answer yesterday I subscribed to the CamiTK package only,
> but reading your answer, I just reconsidered and subscribed to
> debian-med mailing-list as it seems the best option to improve my
> learning curve.

Fine.  So in future mails I will spare the "To:" to your address - you
should receive the messages via Bug tracking system and mailing list.
:-)
 
> >In this case would CamITK remain in *main*!  Considering the fact that
> >you know all these facts - would you volunteer to do the needed steps?
> I am on a tight schedule this week. Do you think it could be ok if:
> - I remove the licence offending part of the CamiTK source for the
> moment (the tetgen plugin) today

If you can remove it upstream this would probably the bes solution.
Please note the following:  The Debian Release team does not accept new
upstream versions for Wheezy in general.  So if the change should be
successfull for propagation to Wheezy please make prfectly sure that
this change is the only one compared to the tarball currently in
testing.  So you culd do something like

   camitk-3.0.2.1.tar.gz

and mention in the upstream changelog something like

  - Just removed parts of code which are not DFSG free (no other
    code changes

In the debian/changelog we could refer to the fact mentioned in your
upstream changelog to convince the release team that we do not attempt
to sneak in new upstream code.  Otherwise we would need to "backport"
the changes to the version inside Debian.
(In case my advise was not clear enough feel free to ask for further
 clarification.)

> - I do a better work at the beginning of next week where I could
> reintroduce the tetgen plugin but using the tetgen debian package
> instead and correct the two other bugs properly (#689021 and 690830)

May be I was not fully clear.  If we drop the tetgen dependency
completely (and if I understood correctly the plugin in queston needs to
be dropped / deactivated as well) then and only than camitk can remain
in Debian main.  If there is some dependency from any non-free component
(be it tetgen or whatever) the package needs to be moved from main to
contrib which is something I would like to avoid.  So the action to let
camitk remain in main is the following:

  1. Remove tetgen fom the upstream tarball (may be also cut the plugin
     in question as well if it does not make any sense without tetgen).
  2. Build a camitk package targeting at main from this source tarball.

To gain full functionality we could gain (for Wheezy+1) optionally with

  3. Create another source tarball camitk-plugins (or
     camitk-plugins-non-dfsg or whatever name).
  4. Build an according Debian package from this plugins tarball linking
     with Debian packaged tetgen targeting at contrib and recommending
     camitk from main
  5. You can Suggests camitk-plugins in the camitk package (but not
     Recommends, which is only allowed inside main)

> For #690830 there is a patch proposal and there is also a another
> way that I would like to try first (that will probably have better
> compiler specific/multi-arch support).

This could be done if you are pretty sure about this and the change is
obviosely simple and straight to get accepted by the release team.
While it is a really good thing to fix this bug we need to make pretty
sure it will not introduce new problems (which is the sense of the
freeze process).

For the time line:  I think doing step 1.+2. from above until end of
October is fine.  Everything else has time because it does not affect
the current release.  Is this doable for you?

> Thanks again, all your help is really appreciated.

Also thanks to you because without your cooperation we would not have
competence and manpower to maintain camitk inside Debian.

Kind regards

      Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#689951; Package camitk. (Wed, 24 Oct 2012 08:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Promayon <Emmanuel.Promayon@imag.fr>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 24 Oct 2012 08:51:05 GMT) Full text and rfc822 format available.

Message #55 received at 689951@bugs.debian.org (full text, mbox):

From: Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
To: Andreas Tille <andreas@an3as.eu>, 689951@bugs.debian.org
Subject: Re: Bug#689951: Package appears to be non-free
Date: Wed, 24 Oct 2012 10:46:51 +0200
Hi Andreas,

> If you can remove it upstream this would probably the bes solution.
> Please note the following:  The Debian Release team does not accept
> new upstream versions for Wheezy in general.  So if the change should
> be successfull for propagation to Wheezy please make prfectly sure
> that this change is the only one compared to the tarball currently in
> testing.  So you culd do something like
>
> camitk-3.0.2.1.tar.gz
>
> and mention in the upstream changelog something like
>
> - Just removed parts of code which are not DFSG free (no other code
> changes
>
> In the debian/changelog we could refer to the fact mentioned in your
> upstream changelog to convince the release team that we do not
> attempt to sneak in new upstream code.  Otherwise we would need to
> "backport" the changes to the version inside Debian. (In case my
> advise was not clear enough feel free to ask for further
> clarification.)

> May be I was not fully clear.  If we drop the tetgen dependency
> completely (and if I understood correctly the plugin in queston needs
> to be dropped / deactivated as well) then and only than camitk can
> remain in Debian main.  If there is some dependency from any non-free
> component (be it tetgen or whatever) the package needs to be moved
> from main to contrib which is something I would like to avoid. So the
> action to let camitk remain in main is the following:
>
> 1. Remove tetgen fom the upstream tarball (may be also cut the
> plugin in question as well if it does not make any sense without
> tetgen). 2. Build a camitk package targeting at main from this source
> tarball.

Would it not be possible/preferable/easier to convince the release team
to remove the non-free code as a debian package patch?
If not, as at the moment the upstream changelog is not very visible,
should I add a specific news on the web page to explain what happened
between camitk-3.0.2.1.tar.gz and camitk-3.0.2.tar.gz?

> To gain full functionality we could gain (for Wheezy+1) optionally
> with
>
> 3. Create another source tarball camitk-plugins (or
> camitk-plugins-non-dfsg or whatever name). 4. Build an according
> Debian package from this plugins tarball linking with Debian packaged
> tetgen targeting at contrib and recommending camitk from main 5. You
> can Suggests camitk-plugins in the camitk package (but not
> Recommends, which is only allowed inside main)

That sounds like the perfect idea.

>> For #690830 there is a patch proposal and there is also a another
>> way that I would like to try first (that will probably have better
>> compiler specific/multi-arch support).
>
> This could be done if you are pretty sure about this and the change
> is obviosely simple and straight to get accepted by the release
> team. While it is a really good thing to fix this bug we need to make
>  pretty sure it will not introduce new problems (which is the sense
> of the freeze process).
>
> For the time line:  I think doing step 1.+2. from above until end of
> October is fine.  Everything else has time because it does not affect
> the current release.  Is this doable for you?
Yes, I think there is no problem to do that between now and the end of 
the month.

-- 
Emmanuel Promayon
UJF-Grenoble 1, CNRS, TIMC-IMAG UMR 5525 (équipe GMCAO)
Institut de l'Ingénierie de l'Information de Santé
Faculté de Médecine - 38706 La Tronche cedex - France
Tel. +33/0 456 52 00 03 - Fax. +33/0 456 52 00 55 - B7



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#689951; Package camitk. (Wed, 24 Oct 2012 09:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 24 Oct 2012 09:00:03 GMT) Full text and rfc822 format available.

Message #60 received at 689951@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 689951@bugs.debian.org
Subject: Re: Bug#689951: Package appears to be non-free
Date: Wed, 24 Oct 2012 10:57:16 +0200
Hi,

On Wed, Oct 24, 2012 at 10:46:51AM +0200, Emmanuel Promayon wrote:
> >1. Remove tetgen fom the upstream tarball (may be also cut the
> >plugin in question as well if it does not make any sense without
> >tetgen). 2. Build a camitk package targeting at main from this source
> >tarball.
> 
> Would it not be possible/preferable/easier to convince the release team
> to remove the non-free code as a debian package patch?

Definitely not.  The release team has the only task to accept or remove
packges created by somebody else (read: maintainer or creator of a
non-maintainer upload).  The release team will not change anything
inside a package.

Moreover:  The problem is in the source of the package and thus you can
not fix it by a patch.  If you prefer it is also possile to create a
source tarball

    camitk_3.0.2+dfsg1.orig.tar.gz

which can be created by removing those non-free bits from upstream
camitk-3.0.2.tar.gz.  We would usually do this if no upstream author is
involved and it is perfectly OK as well. In this case you should
document the removal in debian/README.source and write a target
get-orig-source for debian/rules.  I'd regard it less effort to simply
do it inside the upstream source that's why my suggestion.

> If not, as at the moment the upstream changelog is not very visible,
> should I add a specific news on the web page to explain what happened
> between camitk-3.0.2.1.tar.gz and camitk-3.0.2.tar.gz?

That's OK as well.  Just some documentation that no new code is in this
"new" version is sufficient (I havn't checked the surce when writing my
advise).

> >To gain full functionality we could gain (for Wheezy+1) optionally
> >with
> >
> >3. Create another source tarball camitk-plugins (or
> >camitk-plugins-non-dfsg or whatever name). 4. Build an according
> >Debian package from this plugins tarball linking with Debian packaged
> >tetgen targeting at contrib and recommending camitk from main 5. You
> >can Suggests camitk-plugins in the camitk package (but not
> >Recommends, which is only allowed inside main)
> 
> That sounds like the perfect idea.

Nice that you like it.
 
> >For the time line:  I think doing step 1.+2. from above until end of
> >October is fine.  Everything else has time because it does not affect
> >the current release.  Is this doable for you?
> Yes, I think there is no problem to do that between now and the end
> of the month.

Fine.  Just keep on asking if something remains unclear or you might
need any other help.

Kind regards

    Andreas. 

-- 
http://fam-tille.de



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 17 Feb 2013 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Emmanuel Promayon <Emmanuel.Promayon@imag.fr>:
You have taken responsibility. (Sun, 17 Feb 2013 19:03:22 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Sun, 17 Feb 2013 19:03:22 GMT) Full text and rfc822 format available.

Message #67 received at 689951-close@bugs.debian.org (full text, mbox):

From: Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
To: 689951-close@bugs.debian.org
Subject: Bug#689951: fixed in camitk 3.0.7-1
Date: Sun, 17 Feb 2013 19:00:06 +0000
Source: camitk
Source-Version: 3.0.7-1

We believe that the bug you reported is fixed in the latest version of
camitk, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689951@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Promayon <Emmanuel.Promayon@imag.fr> (supplier of updated camitk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 14 Feb 2013 19:09:38 +0100
Source: camitk
Binary: libcamitk3 libcamitk3-dev libcamitk3-data libcamitk3-doc camitk-imp libqtpropertybrowser3 libqtpropertybrowser3-dev
Architecture: source amd64 all
Version: 3.0.7-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
Description: 
 camitk-imp - flagship application for the CamiTK library
 libcamitk3 - Computer Assisted Medical Intervention Tool Kit - runtime
 libcamitk3-data - Computer Assisted Medical Intervention Tool Kit - data
 libcamitk3-dev - Computer Assisted Medical Intervention Tool Kit - development
 libcamitk3-doc - Computer Assisted Medical Intervention Tool Kit - documentation
 libqtpropertybrowser3 - Qt Property Browser Library - runtime
 libqtpropertybrowser3-dev - Qt Property Browser Library - development
Closes: 689021 689951 690830
Changes: 
 camitk (3.0.7-1) unstable; urgency=low
 .
   [ Emmanuel Promayon ]
   * New upstream release. Fix extension inner dependencies.
     - Remove non-free tetgen from source. Closes: #689951
     - Adding -fPIC to fix FTBFS on armhf and mipsel. Closes: #690830
   * Fix typo in d/control. Closes: #689021
     Remove patch applied upstream:
      - sonamefix.patch
   * Separate package libqtpropertybrowser3
   * Updated debian/watch submitted by Bart Martens
 .
   [ Mathieu Malaterre ]
   * Remove DMUA (deprecated)
   * Bump Std-Vers to 3.9.4, no changes needed
   * Remove myself from Uploaders
Checksums-Sha1: 
 4233fd53232c3b70c5354de99d340c0dcf3dd108 1979 camitk_3.0.7-1.dsc
 a8695b3785af238e8570b3c5fabaaa124f9076fa 100581102 camitk_3.0.7.orig.tar.gz
 3cf61aab3ac8b28cfe02365d7403d710f8f77a36 5530 camitk_3.0.7-1.debian.tar.gz
 ba39a4ae67c67c46da1f8501a37c0ae5de369e4c 6204180 libcamitk3_3.0.7-1_amd64.deb
 9df5ec46f8f874c4b1f6312ccc0f9fd4a2d2cafb 3527960 libcamitk3-dev_3.0.7-1_amd64.deb
 f21306107d3f8fbcc6a7b48ae660a864b9577a42 81273646 libcamitk3-data_3.0.7-1_all.deb
 3be0669e6cfd500543541333542d8b5f0fa4721e 56872280 libcamitk3-doc_3.0.7-1_all.deb
 5af7c4641c3526755aba2dbaea6916c477590abc 37546 camitk-imp_3.0.7-1_amd64.deb
 59a84dc3f48d6881c7017d660bc2441eb243ccd0 316018 libqtpropertybrowser3_3.0.7-1_amd64.deb
 fa13e58f3fd168acd195e242c77c390f6841d847 13858 libqtpropertybrowser3-dev_3.0.7-1_amd64.deb
Checksums-Sha256: 
 6045947b5305729e8882103267e3893254f7886f8a5d16b3918392f526662836 1979 camitk_3.0.7-1.dsc
 ee16250cbb797557f88544c25e114dddeabde2be13e892e3021c9860c340855c 100581102 camitk_3.0.7.orig.tar.gz
 8021aa83530009a0032921ff1140ee6c2df3ea5ac0653ce7972e091d137646e8 5530 camitk_3.0.7-1.debian.tar.gz
 b27996f7f71724a32743f2efeff448dac1088c8595cd287ec01d77413d643045 6204180 libcamitk3_3.0.7-1_amd64.deb
 5c3f4cc4d944d19c3ca8b258c3ab8ec234f2abc14117856b1d18f8b9e6c21e8b 3527960 libcamitk3-dev_3.0.7-1_amd64.deb
 b57d284e2c511abff139c703bca5c3aa99a8fda1f12514f1f3b8d79337875295 81273646 libcamitk3-data_3.0.7-1_all.deb
 7aff76ee5b7153088dd60884d2e51a6bc1fe155bf11112057cb58d8b96fb84df 56872280 libcamitk3-doc_3.0.7-1_all.deb
 6d59a9a9ff06a0c9c7cd403f0e45d60a9522534f4ad3df54c7aabaecf281526d 37546 camitk-imp_3.0.7-1_amd64.deb
 6f237cf14cc9a39c2eca61eb51ab62098833e11efc70f6b83dafbf0c719279bd 316018 libqtpropertybrowser3_3.0.7-1_amd64.deb
 32117a98a4d8e543c208755e7a1951c51d49d13b14e0412fdb0b6d1793fbe3f3 13858 libqtpropertybrowser3-dev_3.0.7-1_amd64.deb
Files: 
 aeb747245cf6cb551a054b4ba03cd6ea 1979 science optional camitk_3.0.7-1.dsc
 c2a257d1612565204b8334245c39e909 100581102 science optional camitk_3.0.7.orig.tar.gz
 fed31d358d75df57b42a4f807fc04050 5530 science optional camitk_3.0.7-1.debian.tar.gz
 8b5820f6a19032a9b097333ac984e3e9 6204180 science optional libcamitk3_3.0.7-1_amd64.deb
 d8674b1c788e880389387f59e8226a47 3527960 libdevel optional libcamitk3-dev_3.0.7-1_amd64.deb
 b494a6799557e422f30c5cc827d7bd69 81273646 doc optional libcamitk3-data_3.0.7-1_all.deb
 fb0b595a31a94fe474695a9955c0cdd9 56872280 doc optional libcamitk3-doc_3.0.7-1_all.deb
 a9d038311a914584d680461f8807887b 37546 science optional camitk-imp_3.0.7-1_amd64.deb
 2f4071e545e1bd9d4052a72c1ec558f1 316018 science optional libqtpropertybrowser3_3.0.7-1_amd64.deb
 122011d0a535b4bb0aeedc1041b10343 13858 libdevel optional libqtpropertybrowser3-dev_3.0.7-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEfyRoACgkQYDBbMcCf01oZvQCdFsfp4QqsGMuRkcNhA40Nf866
Dg0AnA3IGq0mG7WU6VAcd/WS5pEKJvxa
=Msgw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Mar 2013 07:26:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:17:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.